Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.threads
Class TaskThreadFactory

    java.lang.Object
      org.apache.tomcat.util.threads.TaskThreadFactory

All Implemented Interfaces:
  ThreadFactory

    public class TaskThreadFactory

extends Object
implements ThreadFactory

Simple task thread factory to use to create threads for an executor implementation.

Author:
  fhanik

Constructor Summary
`TaskThreadFactory(String namePrefix, boolean daemon, int priority)`

Method Summary
`Thread` | `newThread(Runnable r)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskThreadFactory

    public TaskThreadFactory(String namePrefix,
                             boolean daemon,
                             int priority)

Method Detail

### newThread

    public Thread newThread(Runnable r)

  Specified by:
    `newThread` in interface `ThreadFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.